#!/bin/sh
#ADSL_Start.sh v1.14 by Roi Dayan

USER=guest@OBezeq
REMOTE1=10.0.0.138
REMOTE2="10.0.0.138 RELAY_PPP1"
PPTPDIR=/usr/local/bin

#You dont really need to edit below this line.

echo -n "Checking if pppd is running... "
cpid=`ps aux | grep pppd | grep -v grep | awk {'print $2'}`
if [ "$cpid" = "" ]; then
 echo "starting ADSL."
 cd $PPTPDIR
 ./pptp $REMOTE1 --quirks BEZEQ_ISRAEL debug user $USER remotename $REMOTE2 defaultroute mtu 1452 mru 1452 noauth
 echo "Started."
 exit 1
else
 echo "pppd is already running."
 exit 0
fi
