#!/bin/sh
#Cables_Start.sh v1.15b by Roi Dayan

REMOTE=xx.xx.xx.xx
USER=user_name
MYETH=eth1
PPTPDIR=/usr/local/bin

#Usuauly its right
MYPPP=ppp0

#You dont really need to edit below this line.

echo -n "Checking if pppd is running... "
cpid=`ps aux | grep pppd | grep -v grep | awk {'print $2'}`
if [ "$cpid" = "" ]; then
echo -n "Adding route to cable modem... "
#CABLEGW=`cat /etc/dhcpc/dhcpcd-eth1.leases | grep GATEWAY | cut -d"=" -f2`
CABLEGW=`grep routers /var/lib/dhcp/dhclient-${MYETH}.leases | tail -n 1 | sed 's/.* \([0-9.]*\).*/\1/g'`
/sbin/route add default gw $CABLEGW

 echo "starting pptp."
 cd $PPTPDIR


#/sbin/route add default gw $CABLEGW

 #./pptp $REMOTE debug user $USER remotename $REMOTE defaultroute mtu 1460 mru 1460 noauth
 ./pptp $REMOTE user $USER remotename $REMOTE defaultroute mtu 1452 mru 1452 noauth
else
 echo "pppd is already running."
 exit 0
fi

#Deleting gateway for cables and adding external gateway.

echo "Waiting for $MYPPP interface to come up to fix external route."

checkinterface=`/sbin/ifconfig $MYPPP 2>/dev/null | grep inet`
while [ "$checkinterface" = "" ]; do
 sleep 1
 cpid=`ps aux | grep pppd | grep -v grep | awk {'print $2'}`
 if [ "$cpid" = "" ]; then
  echo "pppd terminated ?!"
  exit 0
 fi
 checkinterface=`/sbin/ifconfig $MYPPP 2>/dev/null | grep inet`
done

CABLEDHCP=`grep dhcp-server-identifier /var/lib/dhcp/dhclient-${MYETH}.leases | tail -n 1 | sed 's/.* \([0-9.]*\).*/\1/g'`

/sbin/route add -host $CABLEDHCP gw $CABLEGW
/sbin/route add -host $REMOTE gw $CABLEGW

NEWGW=$(/sbin/ifconfig $MYPPP | grep inet | cut -d":" -f3 | tail -1 | cut -d" " -f1)

/sbin/route add default gw $NEWGW
/sbin/route del default gw $CABLEGW

echo "Started."
exit 1
